SoBumpMapTransform(3)

NAME
SoBumpMapTransform - The SoBumpMapTransform class is used to define 2D bump map transformations.

SYNOPSIS

#include <Inventor/nodes/SoBumpMapTransform.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoBumpMapTransform (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec2f translation
SoSFFloat rotation
SoSFVec2f scaleFactor
SoSFVec2f center

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoBumpMapTransform ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoBumpMapTransform class is used to define 2D bump map transformations. Bump maps applied to shapes in the scene can be transformed by 'prefixing' in the state with instances of this node type. Translations, rotations and scaling in 2D can all be done.

The default settings of this node's fields equals a 'null transform', i.e. no transformation.

FILE FORMAT/DEFAULTS:

BumpMapTransform {
    translation 0 0
    rotation 0
    scaleFactor 1 1
    center 0 0
}

Since
    Coin 2.2

Constructor & Destructor Documentation

  SoBumpMapTransform::SoBumpMapTransform (void)
Constructor.

  SoBumpMapTransform::~SoBumpMapTransform () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapTransform::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoBumpMapTransform::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoBumpMapTransform::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoBumpMapTransform::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoBumpMapTransform::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoBumpMapTransform::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoBumpMapTransform::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoBumpMapTransform::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoBumpMapTransform::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec2f SoBumpMapTransform::translation
Texture coordinate translation. Default value is [0, 0].

  SoSFFloat SoBumpMapTransform::rotation
Texture coordinate rotation (around Z-axis, s is X-axis and t is Y-axis). Defaults to an identity rotation (i.e. zero rotation).

  SoSFVec2f SoBumpMapTransform::scaleFactor
Texture coordinate scale factors. Default value is [1, 1].

  SoSFVec2f SoBumpMapTransform::center
Center for scale and rotation. Default value is [0, 0].

Author

Generated automatically by Doxygen for Coin from the source code.